#pragma once

#include "util/Pointers.h"
#include "util/AgObject.h"

class AggreGateBean : public AgObject
{
private:
    TableFormatPtr format;

public:
    DataTablePtr toDataTable();
    DataRecordPtr toDataRecord();
    TableFormatPtr getFormat();

    AggreGateBean(TableFormatPtr format);
    AggreGateBean(TableFormatPtr format, DataRecordPtr data);
};

